## icoextract 0.1.2

=== requirements.txt ===
pefile
Pillow
setuptools

=== tests/Makefile ===
CFLAGS=-mwindows -g
PREFIX64=x86_64-w64-mingw32-
PREFIX32=i686-w64-mingw32-

all: testapp64.exe testapp64-nores.exe testapp64-noicon.exe testapp32.exe testapp32-nores.exe testapp32-noicon.exe

testapp.ico: testapp.png
	convert testapp.png -resize 16x16 tmp-testapp-16.bmp
	convert testapp.png -resize 32x32 tmp-testapp-32.bmp
	convert testapp.png -resize 48x48 tmp-testapp-48.bmp
	convert testapp.png -resize 16x16 -depth 8 -remap netscape: -transparent black tmp-testapp246-16.bmp
	convert testapp.png -resize 32x32 -depth 8 -remap netscape: -transparent black tmp-testapp256-32.bmp
	convert testapp.png -resize 48x48 -depth 8 -remap netscape: -transparent black tmp-testapp256-48.bmp
	convert testapp.png tmp-testapp*.bmp testapp.ico

testapp.rc: testapp-base.rc testapp-icon.rc
	$(shell cat testapp-base.rc > testapp.rc)
	$(shell cat testapp-icon.rc >> testapp.rc)

testapp64.res: testapp.rc testapp.ico
	$(PREFIX64)windres testapp.rc -O coff -o testapp64.res

testapp64-noicon.res: testapp-base.rc
	$(PREFIX64)windres testapp-base.rc -O coff -o testapp64-noicon.res

# Build with icon + version resource
testapp64.exe: testapp.c testapp64.res
	$(PREFIX64)gcc $(CFLAGS) -o testapp64.exe testapp.c testapp64.res

# Build with only version resource
testapp64-noicon.exe: testapp.c testapp64-noicon.res
	$(PREFIX64)gcc $(CFLAGS) -o testapp64-noicon.exe testapp.c testapp64-noicon.res

# Build with no resource info at all
testapp64-nores.exe: testapp.c
	$(PREFIX64)gcc $(CFLAGS) -o testapp64-nores.exe testapp.c


testapp32.res: testapp.rc testapp.ico
	$(PREFIX32)windres testapp.rc -O coff -o testapp32.res

testapp32-noicon.res: testapp-base.rc
	$(PREFIX32)windres testapp-base.rc -O coff -o testapp32-noicon.res

testapp32.exe: testapp.c testapp32.res
	$(PREFIX32)gcc $(CFLAGS) -o testapp32.exe testapp.c testapp32.res

testapp32-noicon.exe: testapp.c testapp32-noicon.res
	$(PREFIX32)gcc $(CFLAGS) -o testapp32-noicon.exe testapp.c testapp32-noicon.res

testapp32-nores.exe: testapp.c
	$(PREFIX32)gcc $(CFLAGS) -o testapp32-nores.exe testapp.c


clean:
	$(RM) tmp*.bmp testapp.ico testapp*.res *.exe tmp*.ico testapp.rc

=== debian/changelog ===
icoextract (0.1.2-2) unstable; urgency=medium

  * No change rebuild for testing migration.

 -- James Lu <james@overdrivenetworks.com>  Sat, 09 Jan 2021 23:06:15 -0800

icoextract (0.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #947199)

 -- James Lu <james@overdrivenetworks.com>  Tue, 22 Dec 2020 16:09:55 -0800

=== debian/control ===
Source: icoextract
Section: misc
Priority: optional
Maintainer: James Lu <james@overdrivenetworks.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               gcc-mingw-w64 <!nocheck>,
               imagemagick <!nocheck>,
               python3-pefile <!nocheck>
Standards-Version: 4.5.1
Homepage: https://github.com/jlu5/icoextract
Vcs-Browser: https://salsa.debian.org/jlu-guest/icoextract
Vcs-Git: https://salsa.debian.org/jlu-guest/icoextract.git
X-Python3-Version: >= 3.6
#Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: icoextract
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-icoextract
Description: icon extraction library for Windows PE files (utilities)
 icoextract is an icon extraction library for Windows PE files (.exe/.dll)
 .
 This package installs the icoextract and icolist command line utilities.

Package: python3-icoextract
Architecture: all
Section: python
Depends: ${python3:Depends}, ${misc:Depends}, python3-pefile
Description: icon extraction library for Windows PE files
 icoextract is an icon extraction library for Windows PE files (.exe/.dll)
 .
 This package installs the library for Python 3.

Package: icoextract-thumbnailer
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-icoextract, python3-pil
Suggests: icoextract
Breaks: exe-thumbnailer (<< 1~)
Replaces: exe-thumbnailer (<< 1~)
Provides: exe-thumbnailer
Description: thumbnailer for Windows PE files (.exe/.dll)
 icoextract is an icon extraction library for Windows PE files (.exe/.dll)
 .
 This package installs a Windows executable thumbnailer for file managers
 supporting Freedesktop.org thumbnailers.

Package: exe-thumbnailer
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, icoextract-thumbnailer
Description: transitional package to icoextract-thumbnailer
 This is a dummy transitional package from exe-thumbnailer to
 icoextract-thumbnailer. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=icoextract
# Install scripts to debian/tmp so that we can split them into multiple binary packages
export PYBUILD_INSTALL_ARGS=--install-scripts=../tmp
# Build prerequisite files before running tests
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir} && cd {build_dir}/tests && make

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_gencontrol:
	dh_gencontrol
	dh_gencontrol -pexe-thumbnailer -- -v1~icoextract-$(DEB_VERSION)

## icoextract 0.1.4

=== tests/Makefile ===
CFLAGS=-mwindows -g
PREFIX64=x86_64-w64-mingw32-
PREFIX32=i686-w64-mingw32-

all: testapp64.exe testapp64-nores.exe testapp64-noicon.exe \
	testapp64-smallonly.exe \
	testapp64-with128.exe

# icon with standard sizes: 16x16, 32x32, 48x48, 256x256
testapp.ico: testapp.png
	convert testapp.png -resize 16x16 tmp-testapp-16.bmp
	convert testapp.png -resize 32x32 tmp-testapp-32.bmp
	convert testapp.png -resize 48x48 tmp-testapp-48.bmp
	convert testapp.png -resize 16x16 -depth 8 -remap netscape: -transparent black tmp-testapp8bpp-16.bmp
	convert testapp.png -resize 32x32 -depth 8 -remap netscape: -transparent black tmp-testapp8bpp-32.bmp
	convert testapp.png -resize 48x48 -depth 8 -remap netscape: -transparent black tmp-testapp8bpp-48.bmp
	convert testapp.png tmp-testapp*.bmp testapp.ico
# small icon
	convert tmp-testapp-*.bmp testapp-smallonly.ico
# All standard sizes + 128x128
	convert testapp.png -resize 128x128 tmp-testapp-128.png
	convert testapp.png tmp-testapp*.bmp tmp-testapp*.png testapp-with128.ico

# Build with icon + version resource
define build-with-icon =
cat testapp-base.rc > tmp-testapp$(ICOSUFFIX).rc
echo "2 ICON testapp$(ICOSUFFIX).ico" >> tmp-testapp$(ICOSUFFIX).rc
$(PREFIX64)windres tmp-testapp$(ICOSUFFIX).rc -O coff -o tmp-testapp64$(ICOSUFFIX).res
$(PREFIX64)gcc $(CFLAGS) -o testapp64$(ICOSUFFIX).exe testapp.c tmp-testapp64$(ICOSUFFIX).res
$(PREFIX32)windres tmp-testapp$(ICOSUFFIX).rc -O coff -o tmp-testapp32$(ICOSUFFIX).res
$(PREFIX32)gcc $(CFLAGS) -o testapp32$(ICOSUFFIX).exe testapp.c tmp-testapp32$(ICOSUFFIX).res
endef

testapp64.exe testapp32.exe: testapp.c testapp.ico
	$(build-with-icon)

testapp64-smallonly.exe testapp32-smallonly.exe: ICOSUFFIX=-smallonly
testapp64-smallonly.exe testapp32-smallonly.exe: testapp.c testapp.ico
	$(build-with-icon)

testapp64-with128.exe testapp32-with128.exe: ICOSUFFIX=-with128
testapp64-with128.exe testapp32-with128.exe: testapp.c testapp.ico
	$(build-with-icon)

# Build with only version resource
testapp64-noicon.exe testapp32-noicon.exe: testapp.c
	$(PREFIX64)windres testapp-base.rc -O coff -o tmp-testapp64-noicon.res
	$(PREFIX64)gcc $(CFLAGS) -o testapp64-noicon.exe testapp.c tmp-testapp64-noicon.res
	$(PREFIX32)windres testapp-base.rc -O coff -o tmp-testapp32-noicon.res
	$(PREFIX32)gcc $(CFLAGS) -o testapp32-noicon.exe testapp.c tmp-testapp32-noicon.res

# Build with no resource info at all
testapp64-nores.exe testapp32-nores.exe: testapp.c
	$(PREFIX64)gcc $(CFLAGS) -o testapp64-nores.exe testapp.c
	$(PREFIX32)gcc $(CFLAGS) -o testapp32-nores.exe testapp.c

clean:
	$(RM) tmp*.* *.ico *.exe

=== debian/changelog ===
icoextract (0.1.4-2) unstable; urgency=medium

  * Update my email.
  * Remove exe-thumbnailer transitional package (Closes: #1038246)

 -- James Lu <jlu@debian.org>  Sat, 29 Jul 2023 22:38:15 -0700

icoextract (0.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1; no changes needed
  * Add B-D python3-pil (additional thumbnailer tests)

 -- James Lu <james@overdrivenetworks.com>  Sat, 03 Sep 2022 21:51:09 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: icoextract
 Section: misc
 Priority: optional
-Maintainer: James Lu <james@overdrivenetworks.com>
+Maintainer: James Lu <jlu@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-setuptools,
                python3-all,
                gcc-mingw-w64 <!nocheck>,
                imagemagick <!nocheck>,
-               python3-pefile <!nocheck>
-Standards-Version: 4.5.1
+               python3-pefile <!nocheck>,
+               python3-pil <!nocheck>
+Standards-Version: 4.6.1
 Homepage: https://github.com/jlu5/icoextract
 Vcs-Browser: https://salsa.debian.org/jlu-guest/icoextract
 Vcs-Git: https://salsa.debian.org/jlu-guest/icoextract.git
@@ -38,19 +39,9 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-icoextract, python3-pil
 Suggests: icoextract
-Breaks: exe-thumbnailer (<< 1~)
-Replaces: exe-thumbnailer (<< 1~)
 Provides: exe-thumbnailer
 Description: thumbnailer for Windows PE files (.exe/.dll)
  icoextract is an icon extraction library for Windows PE files (.exe/.dll)
  .
  This package installs a Windows executable thumbnailer for file managers
  supporting Freedesktop.org thumbnailers.
-
-Package: exe-thumbnailer
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends}, icoextract-thumbnailer
-Description: transitional package to icoextract-thumbnailer
- This is a dummy transitional package from exe-thumbnailer to
- icoextract-thumbnailer. It can be safely removed.

## icoextract 0.1.5

=== debian/changelog ===
icoextract (0.1.5-1) unstable; urgency=medium

  * New upstream release.
    - Add application/vnd.microsoft.portable-executable to the thumbnailer's
      supported MIME types
  * d/control:
    - Bump Standards-Version to 4.7.0, no changes needed
    - Set minimum Python version to 3.8

 -- James Lu <jlu@debian.org>  Sun, 28 Apr 2024 17:36:20 -0700

## icoextract 0.1.6

=== tests/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 all: testapp64.exe testapp64-nores.exe testapp64-noicon.exe \
 	testapp64-smallonly.exe \
-	testapp64-with128.exe
+	testapp64-with128.exe testapp64-with192.exe
 
 # icon with standard sizes: 16x16, 32x32, 48x48, 256x256
 testapp.ico: testapp.png
@@ -15,11 +15,20 @@
 	convert testapp.png -resize 32x32 -depth 8 -remap netscape: -transparent black tmp-testapp8bpp-32.bmp
 	convert testapp.png -resize 48x48 -depth 8 -remap netscape: -transparent black tmp-testapp8bpp-48.bmp
 	convert testapp.png tmp-testapp*.bmp testapp.ico
-# small icon
+
+# Small icon (only up to 48x48)
+testapp-smallonly.ico: testapp.png
 	convert tmp-testapp-*.bmp testapp-smallonly.ico
+
 # All standard sizes + 128x128
+testapp-with128.ico: testapp.png
 	convert testapp.png -resize 128x128 tmp-testapp-128.png
 	convert testapp.png tmp-testapp*.bmp tmp-testapp*.png testapp-with128.ico
+
+# All small sizes + 128x128 + 192x192 (excluding 256x256)
+testapp-with192.ico: testapp.png
+	convert testapp.png -resize 192x192 tmp-testapp-192.png
+	convert tmp-testapp*.bmp tmp-testapp-128.png tmp-testapp-192.png testapp-with192.ico
 
 # Build with icon + version resource
 define build-with-icon =
@@ -35,11 +44,15 @@
 	$(build-with-icon)
 
 testapp64-smallonly.exe testapp32-smallonly.exe: ICOSUFFIX=-smallonly
-testapp64-smallonly.exe testapp32-smallonly.exe: testapp.c testapp.ico
+testapp64-smallonly.exe testapp32-smallonly.exe: testapp.c testapp-smallonly.ico
 	$(build-with-icon)
 
 testapp64-with128.exe testapp32-with128.exe: ICOSUFFIX=-with128
-testapp64-with128.exe testapp32-with128.exe: testapp.c testapp.ico
+testapp64-with128.exe testapp32-with128.exe: testapp.c testapp-with128.ico
+	$(build-with-icon)
+
+testapp64-with192.exe testapp32-with192.exe: ICOSUFFIX=-with192
+testapp64-with192.exe testapp32-with192.exe: testapp.c testapp-with192.ico
 	$(build-with-icon)
 
 # Build with only version resource

=== debian/changelog ===
icoextract (0.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/gbp.conf to use upstream-vcs-tag

 -- James Lu <jlu@debian.org>  Sun, 02 Mar 2025 15:45:15 -0800

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                imagemagick <!nocheck>,
                python3-pefile <!nocheck>,
                python3-pil <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/jlu5/icoextract
 Vcs-Browser: https://salsa.debian.org/jlu-guest/icoextract
 Vcs-Git: https://salsa.debian.org/jlu-guest/icoextract.git
-X-Python3-Version: >= 3.6
+X-Python3-Version: >= 3.8
 #Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## icoextract 0.2.0

=== tests/Makefile ===
--- 
+++ 
@@ -3,30 +3,31 @@
 PREFIX32=i686-w64-mingw32-
 
 all: testapp64.exe testapp64-nores.exe testapp64-noicon.exe \
-	testapp64-smallonly.exe \
-	testapp64-with128.exe testapp64-with192.exe
+	testapp64-smallonly.exe testapp64-with128.exe testapp64-with192.exe
 
-# icon with standard sizes: 16x16, 32x32, 48x48, 256x256
-testapp.ico: testapp.png
+bmps: testapp.png
 	convert testapp.png -resize 16x16 tmp-testapp-16.bmp
 	convert testapp.png -resize 32x32 tmp-testapp-32.bmp
 	convert testapp.png -resize 48x48 tmp-testapp-48.bmp
 	convert testapp.png -resize 16x16 -depth 8 -remap netscape: -transparent black tmp-testapp8bpp-16.bmp
 	convert testapp.png -resize 32x32 -depth 8 -remap netscape: -transparent black tmp-testapp8bpp-32.bmp
 	convert testapp.png -resize 48x48 -depth 8 -remap netscape: -transparent black tmp-testapp8bpp-48.bmp
+
+# icon with standard sizes: 16x16, 32x32, 48x48, 256x256
+testapp.ico: testapp.png bmps
 	convert testapp.png tmp-testapp*.bmp testapp.ico
 
 # Small icon (only up to 48x48)
-testapp-smallonly.ico: testapp.png
+testapp-smallonly.ico: testapp.png bmps
 	convert tmp-testapp-*.bmp testapp-smallonly.ico
 
 # All standard sizes + 128x128
-testapp-with128.ico: testapp.png
+testapp-with128.ico: testapp.png bmps
 	convert testapp.png -resize 128x128 tmp-testapp-128.png
 	convert testapp.png tmp-testapp*.bmp tmp-testapp*.png testapp-with128.ico
 
 # All small sizes + 128x128 + 192x192 (excluding 256x256)
-testapp-with192.ico: testapp.png
+testapp-with192.ico: testapp-with128.ico
 	convert testapp.png -resize 192x192 tmp-testapp-192.png
 	convert tmp-testapp*.bmp tmp-testapp-128.png tmp-testapp-192.png testapp-with192.ico

=== debian/changelog ===
icoextract (0.2.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.7.2; no changes needed

 -- James Lu <jlu@debian.org>  Wed, 13 Aug 2025 20:11:02 -0700

icoextract (0.2.0-2) experimental; urgency=medium

  * Regenerate manual pages
  * Add versioned B-D on imagemagick (>= 8:6~) to avoid installing
    graphicsmagick-imagemagick-compat instead. graphicsmagick does not support
    creating ICO files, which is needed for icoextract's tests.

 -- James Lu <jlu@debian.org>  Sat, 28 Jun 2025 12:39:47 -0700

icoextract (0.2.0-1) experimental; urgency=medium

  * New upstream release.
    - Fix tests compilation with make --shuffle (Closes: #1105413)
  * Update Vcs fields and X-Python3-Version to >= 3.9

 -- James Lu <jlu@debian.org>  Sun, 22 Jun 2025 01:24:11 -0700

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                python3-setuptools,
                python3-all,
                gcc-mingw-w64 <!nocheck>,
-               imagemagick <!nocheck>,
+               imagemagick (>= 8:6~) <!nocheck>,
                python3-pefile <!nocheck>,
                python3-pil <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jlu5/icoextract
-Vcs-Browser: https://salsa.debian.org/jlu-guest/icoextract
-Vcs-Git: https://salsa.debian.org/jlu-guest/icoextract.git
-X-Python3-Version: >= 3.8
+Vcs-Browser: https://salsa.debian.org/jlu/icoextract
+Vcs-Git: https://salsa.debian.org/jlu/icoextract.git
+X-Python3-Version: >= 3.9
 #Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_gencontrol:
-	dh_gencontrol
-	dh_gencontrol -pexe-thumbnailer -- -v1~icoextract-$(DEB_VERSION)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%icoextract-$1.tar.gz%" \
   https://github.com/jlu5/icoextract/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
